Subject: DrOz Episode Recap: Belly-Fat Cure

From: DocOz Plan for Slimming Down <[email-masked]>
Date: Mon, 09 Jun 2014 10:20:31 -0700

The Cure for Belly-Fat
On Today's DocOz Episode
~~~~~~~~~~~~~~~~~~~~~~~~~~

DocOz is Supporting the Simple Guide that makes losing
1-lb a day effortless. 

He's not joking, thats 30-lbs in 30-days w/out working-out.

DocOz Talks about the cure 
Here -> http://www.mooacidic.com/droz/never/fat/again.index

DocOz Episode Recap-
June 9, 2014

to stop further wellness notifications - write Member Update Systems
9167 ROAD 177-O a k w o o d, Ohio 4 5 8 7 3 or http://www.mooacidic.com/4otj/skdftg.hlrge4

That's a great suggestion, I especially like the fact that this algorithm should
 be pretty fast, even if it will probably have many false negatives. One of my 
 hidden goals is to use this detection in real-time for robotics, so that could 
 be a good compromise, it is often forgotten (in a field characterized by 
 precision) that approximation algorithms are essential for most real-time,
eal-world-modeling tasks. (I based my thesis on this concept.) Save your 
me-demanding algorithms for limited regions (to prune false positives). 
nd remember: in robotics you're usually 
ot limited to a single image. Assuming a mobile robot, a fast alg can
earch dozens of images from different angles in less time than
ophisticated algs spend on one, significantly reducing false
egatives.I like the idea of using what amounts to a barcode scanner 
for extremely
ast detection ologos. +1! The problem of looking for 
ignatures in this case is that if we turn the can to the other side,
i.e. hiding the signature, the algorithm will fail to detect the
can. If you hide the signature, i.e. the logo, then any method based on looking for the 
logo is going to fail. p I'm aware of that, thank you. English is not my native language.  
I think what you may have meant to say is "imagine if you turn the can 90 degrees 
so that only part of the logo is visible." You can overcome that by taking three
 scan lines (top, middle and bottom of logo) - if any part of the logo is visible, 
you can see at least one of these.  Nice workaround, but the signature method has
other limitations, for instance, if the lab
el of the can is a little bit damaged or if the can is a little bit smashed, the
detection will fail. The reality is that this question is a tough research problem.
 It's too complex and it's current format invites extended discussion. People don'
 t realize that there are experts researching this type of thing in a daily basis.
e problem ain't going to be solved in a SO thread.  I think we can all agree 
is is a damned interesting question anyway. , but that doesn't necessarily
mean that it is appropriate to this Q&A site. Well, we already discussed this 
subject a lot on meta, no reason to do it here again. My argument was ditched 
en a moderator said that if people liked it then we should keep it. You
uld make this algorithm recognize the can's shape if you add some
itional steps: if you signature is detected, have an array of
gths that you expect the can to find (and expect not to find) th
d can at for a number of intervals over the signature's length.
can down the signature line, then outwards, testing to see if the
ixels are the expected color. Additional thought: you'd probably
ed a set of signatures to make the shape detection work, becau
e you can't assume that the can is facing directly towards the 
ct of the face of the can, but that's probably going down a long,
dark road Any idea what to Google if I want to build something 
using this approach?  that's a pretty wide open question. What 
i have described is a fairly elementary application of the fiel
d of "Digital Image Processing" for which you will find numerou
s books at Amazon. Start reading some of that literature and if
you run into a specific roadblock, post a more specific questi
on here on SO (but not in the comments).